## Index

### Modules

- AST
- Utils

### Classes

- SafeString
- Visitor

### Interfaces

- HelperDeclareSpec
- HelperDelegate
- HelperOptions
- ICompiler
- ParseOptions
- RuntimeOptions
- TemplateDelegate

### Type aliases

- Template

### Variables

- decorators
- escapeExpression
- helpers
- logger
- partials
- templates

### Functions

- Exception
- K
- blockParams
- compile
- create
- createFrame
- log
- noConflict
- parse
- precompile
- registerDecorator
- registerHelper
- registerPartial
- template
- unregisterDecorator
- unregisterHelper
- unregisterPartial

## Type aliases

### Template

Template: TemplateDelegate<T> | string

- Defined in node_modules/@types/handlebars/index.d.ts:12

## Variables

### Const decorators

decorators: object

- Defined in node_modules/@types/handlebars/index.d.ts:74

#### Type declaration

- ##### [name: string]: Function

### Const escapeExpression

escapeExpression: escapeExpression

- Defined in node_modules/@types/handlebars/index.d.ts:67

### Const helpers

helpers: object

- Defined in node_modules/@types/handlebars/index.d.ts:71

#### Type declaration

- ##### [name: string]: HelperDelegate

### Const logger

logger: Logger

- Defined in node_modules/@types/handlebars/index.d.ts:69

### Const partials

partials: object

- Defined in node_modules/@types/handlebars/index.d.ts:72

#### Type declaration

- ##### [name: string]: any

### Const templates

templates: HandlebarsTemplates

- Defined in node_modules/@types/handlebars/index.d.ts:70

## Functions

### Exception

- Exception(message: string): void

- - Defined in node_modules/@types/handlebars/index.d.ts:58

  #### Parameters

  - ##### message: string

  #### Returns void

### K

- K(): void

- - Defined in node_modules/@types/handlebars/index.d.ts:55

  #### Returns void

### blockParams

- blockParams(obj: any[], ids: any[]): any[]

- - Defined in node_modules/@types/handlebars/index.d.ts:57

  #### Parameters

  - ##### obj: any[]

  - ##### ids: any[]

  #### Returns any[]

### compile

- compile<T>(input: any, options?: CompileOptions): HandlebarsTemplateDelegate<T>

- - Defined in node_modules/@types/handlebars/index.d.ts:61

  #### Type parameters

  - #### T

  #### Parameters

  - ##### input: any

  - ##### Optional options: CompileOptions

  #### Returns HandlebarsTemplateDelegate<T>

### create

- create(): Handlebars

- - Defined in node_modules/@types/handlebars/index.d.ts:65

  #### Returns Handlebars

### createFrame

- createFrame(object: any): any

- - Defined in node_modules/@types/handlebars/index.d.ts:56

  #### Parameters

  - ##### object: any

  #### Returns any

### log

- log(level: number, obj: any): void

- - Defined in node_modules/@types/handlebars/index.d.ts:59

  #### Parameters

  - ##### level: number

  - ##### obj: any

  #### Returns void

### noConflict

- noConflict(): Handlebars

- - Defined in node_modules/@types/handlebars/index.d.ts:76

  #### Returns Handlebars

### parse

- parse(input: string, options?: ParseOptions): Program

- - Defined in node_modules/@types/handlebars/index.d.ts:60

  #### Parameters

  - ##### input: string

  - ##### Optional options: ParseOptions

  #### Returns Program

### precompile

- precompile(input: any, options?: PrecompileOptions): TemplateSpecification

- - Defined in node_modules/@types/handlebars/index.d.ts:62

  #### Parameters

  - ##### input: any

  - ##### Optional options: PrecompileOptions

  #### Returns TemplateSpecification

### registerDecorator

- registerDecorator(name: string, fn: Function): void

- - Defined in node_modules/@types/handlebars/index.d.ts:52

  #### Parameters

  - ##### name: string

  - ##### fn: Function

  #### Returns void

### registerHelper

- registerHelper(name: string, fn: HelperDelegate): void
- registerHelper(name: HelperDeclareSpec): void

- - Defined in node_modules/@types/handlebars/index.d.ts:43

  #### Parameters

  - ##### name: string

  - ##### fn: HelperDelegate

  #### Returns void

- - Defined in node_modules/@types/handlebars/index.d.ts:44

  #### Parameters

  - ##### name: HelperDeclareSpec

  #### Returns void

### registerPartial

- registerPartial(name: string, fn: Template): void
- registerPartial(spec: object): void

- - Defined in node_modules/@types/handlebars/index.d.ts:47

  #### Parameters

  - ##### name: string

  - ##### fn: Template

  #### Returns void

- - Defined in node_modules/@types/handlebars/index.d.ts:48

  #### Parameters

  - ##### spec: object

    - ##### [name: string]: HandlebarsTemplateDelegate

  #### Returns void

### template

- template<T>(precompilation: TemplateSpecification): HandlebarsTemplateDelegate<T>

- - Defined in node_modules/@types/handlebars/index.d.ts:63

  #### Type parameters

  - #### T

  #### Parameters

  - ##### precompilation: TemplateSpecification

  #### Returns HandlebarsTemplateDelegate<T>

### unregisterDecorator

- unregisterDecorator(name: string): void

- - Defined in node_modules/@types/handlebars/index.d.ts:53

  #### Parameters

  - ##### name: string

  #### Returns void

### unregisterHelper

- unregisterHelper(name: string): void

- - Defined in node_modules/@types/handlebars/index.d.ts:45

  #### Parameters

  - ##### name: string

  #### Returns void

### unregisterPartial

- unregisterPartial(name: string): void

- - Defined in node_modules/@types/handlebars/index.d.ts:49

  #### Parameters

  - ##### name: string

  #### Returns void

Generated using TypeDoc